Bug 1455596 - RGW NFS: 2-byte overrun in state/incorrect alloc_state dispatch
Summary: RGW NFS: 2-byte overrun in state/incorrect alloc_state dispatch
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.2
Hardware: All
OS: All
unspecified
high
Target Milestone: rc
: 2.3
Assignee: Matt Benjamin (redhat)
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Keywords: CodeChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-25 14:37 UTC by Matt Benjamin (redhat)
Modified: 2017-07-30 15:52 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-19 13:33:40 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC

Description Matt Benjamin (redhat) 2017-05-25 14:37:40 UTC
Description of problem:
An incorrect allocation of object state tracking object in FSAL_RGW (nfs-ganesha RGW fs driver) leads to frequent, 2-byte overrun of the allocated object in several operations (e.g., rgw_setattr).

This may or may not be the root cause of a crash observed, once, in a heavy-mutation workload on a magna cluster.  It was obvserved trivially running RGW NFS under glibc AddressSanitizer.


Version-Release number of selected component (if applicable):
2.3

How reproducible:
100%

Steps to Reproduce:
1. run RGW NFS with AddressSanitizer
2. run heavy-mutation Crefi workload, e.g.
 for i in {create,rename,chmod,chown,truncate}; do ./crefi.py --fop $i --multi -b 10 -d 50 -n 50 -t text --random --min=1k --max=10k /hello/nfs/; done

Actual results:
ASAN stop

Expected results:
no stop

Comment 9 errata-xmlrpc 2017-06-19 13:33:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.